Prisma Next is in early access.Read the docs
Connections

List connections

Returns all connections the actor has access to, with optional database filter.

Returns all connections the actor has access to, with optional database filter.

GET/v1/connections
AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Query Parameters

cursor?|

Cursor for pagination

limit?number

Limit for pagination

Default100
databaseId?string
Match^(db_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Response Body

application/json

application/json

curl -X GET "https://api.prisma.io/v1/connections"
{
  "data": [
    {
      "id": "string",
      "type": "connection",
      "url": "http://example.com",
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "kind": "postgres",
      "endpoints": {
        "direct": {
          "host": "string",
          "port": 0
        },
        "pooled": {
          "host": "string",
          "port": 0
        },
        "accelerate": {
          "host": "string",
          "port": 0
        }
      },
      "directConnection": {
        "host": "string",
        "pass": "string",
        "user": "string"
      },
      "database": {
        "id": "string",
        "url": "http://example.com",
        "name": "string"
      }
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": true
  }
}